---jump to current player position in 0.5s
function onBegin()
    --log("BigJump")
    setFlag("hk_change_to_no_head", true)
    local target = player.Position
    speedXTweenTo((target.X - puppet.Position.X)*2.5, 0.5)
    playPuppetAnim("jump")
    wait(speedYTweenTo(-500, 0.25))
    
    speedYTweenTo(0, 0.25)
    wait(0.25)
    speedXTweenTo(0, 0.25)

	while not puppet.Grounded do
        wait()
    end
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/FalseKnightLand",puppet.Position)
    playPuppetAnim("idle")
    setFlag("hk_change_to_main", true)
end